Re: PHP 5.6 EOD of Life Support and Debian 8 LTS.

2019-02-17 Thread Ola Lundqvist
Hi

I do not know about php 7.0. Some version of php 7 definitely. It depends
on backwards compatibility issues.
We aim to make the stable releases as stable as possible.

// Ola

On Tue, 12 Feb 2019 at 08:06, Thomas Martin  wrote:

> Hi Ola,
>
> Thanks for your answer, much appreciated.
>
> About PHP7.0, I was asking if it would be supported in next LTS
> release (when Stretch become oldstable), but I might be anticipating
> way too far.
>
>
> Thomas
>
> Le sam. 9 févr. 2019 à 21:35, Ola Lundqvist  a écrit :
> >
> > Hi Thomas
> >
> > I do not see that anyone else have answered this so I'll try to do that.
> >
> > If nothing else is stated the LTS team plan to support all packages
> regardless of whether upstream have declared it as end of life or not.
> >
> > Regarding php5 I think it is a must to do so, since transition to php7
> is non-trivial.
> > I guess most sponsors stick to oldstable for this particular reason. If
> we force the users to upgrade to php7 then they can just as well upgrade to
> stable anyway.
> >
> > // Ola
> >
> > On Mon, 28 Jan 2019 at 18:42, Thomas Martin 
> wrote:
> >>
> >> Hello,
> >>
> >> With the end of life support of PHP 5.6 from upstream, do you know if
> Debian LTS
> >> team will still support php5.6 in the future ?
> >>
> >> I'm talking about the packaging of PHP 5.6.40 but also about next
> >> potential vulnerabilities which may happened.
> >>
> >> By the way; does PHP 7.0 will be supported by Debian LTS team when
> >> Stretch became LTS ?
> >>
> >> Thanks!
> >>
> >>
> >> Regards,
> >> Thomas
> >>
> >
> >
> > --
> >  --- Inguza Technology AB --- MSc in Information Technology 
> > /  o...@inguza.comFolkebogatan 26\
> > |  o...@debian.org   654 68 KARLSTAD|
> > |  http://inguza.com/Mobile: +46 (0)70-332 1551 |
> > \  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
> >  ---
> >
>


-- 
 --- Inguza Technology AB --- MSc in Information Technology 
/  o...@inguza.comFolkebogatan 26\
|  o...@debian.org   654 68 KARLSTAD|
|  http://inguza.com/Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---


Re: PHP 5.6 EOD of Life Support and Debian 8 LTS.

2019-02-11 Thread Thomas Martin
Hi Ola,

Thanks for your answer, much appreciated.

About PHP7.0, I was asking if it would be supported in next LTS
release (when Stretch become oldstable), but I might be anticipating
way too far.


Thomas

Le sam. 9 févr. 2019 à 21:35, Ola Lundqvist  a écrit :
>
> Hi Thomas
>
> I do not see that anyone else have answered this so I'll try to do that.
>
> If nothing else is stated the LTS team plan to support all packages 
> regardless of whether upstream have declared it as end of life or not.
>
> Regarding php5 I think it is a must to do so, since transition to php7 is 
> non-trivial.
> I guess most sponsors stick to oldstable for this particular reason. If we 
> force the users to upgrade to php7 then they can just as well upgrade to 
> stable anyway.
>
> // Ola
>
> On Mon, 28 Jan 2019 at 18:42, Thomas Martin  wrote:
>>
>> Hello,
>>
>> With the end of life support of PHP 5.6 from upstream, do you know if Debian 
>> LTS
>> team will still support php5.6 in the future ?
>>
>> I'm talking about the packaging of PHP 5.6.40 but also about next
>> potential vulnerabilities which may happened.
>>
>> By the way; does PHP 7.0 will be supported by Debian LTS team when
>> Stretch became LTS ?
>>
>> Thanks!
>>
>>
>> Regards,
>> Thomas
>>
>
>
> --
>  --- Inguza Technology AB --- MSc in Information Technology 
> /  o...@inguza.comFolkebogatan 26\
> |  o...@debian.org   654 68 KARLSTAD|
> |  http://inguza.com/Mobile: +46 (0)70-332 1551 |
> \  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
>  ---
>



Re: PHP 5.6 EOD of Life Support and Debian 8 LTS.

2019-02-09 Thread Ola Lundqvist
Hi Thomas

I do not see that anyone else have answered this so I'll try to do that.

If nothing else is stated the LTS team plan to support all packages
regardless of whether upstream have declared it as end of life or not.

Regarding php5 I think it is a must to do so, since transition to php7 is
non-trivial.
I guess most sponsors stick to oldstable for this particular reason. If we
force the users to upgrade to php7 then they can just as well upgrade to
stable anyway.

// Ola

On Mon, 28 Jan 2019 at 18:42, Thomas Martin  wrote:

> Hello,
>
> With the end of life support of PHP 5.6 from upstream, do you know if
> Debian LTS
> team will still support php5.6 in the future ?
>
> I'm talking about the packaging of PHP 5.6.40 but also about next
> potential vulnerabilities which may happened.
>
> By the way; does PHP 7.0 will be supported by Debian LTS team when
> Stretch became LTS ?
>
> Thanks!
>
>
> Regards,
> Thomas
>
>

-- 
 --- Inguza Technology AB --- MSc in Information Technology 
/  o...@inguza.comFolkebogatan 26\
|  o...@debian.org   654 68 KARLSTAD|
|  http://inguza.com/Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---